Desarrolladores
Leer el perfil del producto
GET
La descripción pública y legible por máquinas del producto, un kit creativo para publicaciones de X con varias imágenes (Image Splitter y generación de imágenes con Seedream 5.5): identidad, posicionamiento, funciones, modelos, precios y enlaces (documentación, páginas legales, llms.txt, OpenAPI, MCP y soporte).
Correcto.
application/json- response
schemaVersion*numberidentity*positioning*mediaTypes*array<>Elementos
1 <= itemscapabilities*array<>models*array<>pricing*links*curl -X GET 'https://ximagesplitter.com/api/v1/product-profile'Respuesta de ejemplo
{
"schemaVersion": 1,
"identity": {
"name": "string",
"description": "string",
"canonicalUrl": "http://example.com",
"logo": "http://example.com",
"previewImage": "http://example.com",
"supportEmail": "user@example.com",
"sameAs": [
"http://example.com"
]
},
"positioning": {
"audience": [
"string"
],
"problemsSolved": [
"string"
],
"useCases": [
"string"
],
"differentiators": [
"string"
]
},
"mediaTypes": [
"image"
],
"capabilities": [
{
"id": "string",
"name": "string",
"summary": "string",
"useCases": [
"string"
],
"inputs": [
"string"
],
"outputs": [
"string"
],
"constraints": [
"string"
],
"docs": [
"string"
]
}
],
"models": [
{
"id": "seedream-5-5",
"name": "string",
"mediaType": "image",
"provider": "kie",
"available": true,
"defaultOperation": "text-to-image",
"operations": [
{
"id": "text-to-image",
"outputMediaType": "image",
"prompt": {
"minLength": 0,
"maxLength": 1
},
"negativePromptMaxLength": 1,
"inputAssets": [
{
"id": "string",
"mediaType": "image",
"role": "source",
"required": true,
"conditional": true,
"maxFiles": 1,
"maxFileBytes": 1,
"mimeTypes": [
"string"
]
}
],
"options": [
{
"id": "string",
"kind": "string",
"values": [
"string"
],
"default": "string",
"min": 0,
"max": 0,
"step": 0,
"maxLength": 1,
"conditional": true
}
],
"creditsAtDefaultOptions": 1
}
]
}
],
"pricing": {
"currencies": [
"USD"
],
"plans": [
{
"id": "starter",
"name": "string",
"annualSavingsPercent": {
"property1": -9007199254740991,
"property2": -9007199254740991
},
"offers": [
{
"prices": {
"property1": 0,
"property2": 0
},
"creditsGranted": 1,
"validDays": 1,
"id": "string",
"billingCycle": "monthly"
}
]
}
],
"creditPacks": [
{
"prices": {
"property1": 0,
"property2": 0
},
"creditsGranted": 1,
"validDays": 1,
"discountPercent": {
"property1": 0,
"property2": 0
}
}
],
"promptImprovementCredits": 1
},
"links": {
"property1": "http://example.com",
"property2": "http://example.com"
}
}